BlobBuffer.AsciiOutputStream (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.util

## Class BlobBuffer.AsciiOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - net.sourceforge.jtds.util.BlobBuffer.AsciiOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable
  Enclosing class:
    BlobBuffer

      private class BlobBuffer.AsciiOutputStream
      extends java.io.OutputStream

  Implements an ASCII `OutputStream` for CLOB data.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `open`
    `private int` | `writePtr`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlobBuffer.AsciiOutputStream(long pos)` Costructs an ASCII `OutputStream` object over the BLOB buffer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Closes the output stream.
    `protected void` | `finalize()` Ensures underlying BLOB file can be closed even if user does not close this stream.
    `void` | `write(int b)` Writes a byte to the BLOB buffer.

    - ### Methods inherited from class java.io.OutputStream

      `flush, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### writePtr

          private int writePtr

    - #### open

          private boolean open

  - ### Constructor Detail

    - #### BlobBuffer.AsciiOutputStream

          BlobBuffer.AsciiOutputStream(long pos)
                                 throws java.io.IOException

      Costructs an ASCII `OutputStream` object over the BLOB buffer.
      Parameters:
        `pos` - the starting position (from 0)
      Throws:
        `java.io.IOException` - if an I/O error occurs

  - ### Method Detail

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Ensures underlying BLOB file can be closed even if user does not close this stream.
      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

    - #### write

          public void write(int b)
                     throws java.io.IOException

      Writes a byte to the BLOB buffer.
      Specified by:
        `write` in class `java.io.OutputStream`
      Parameters:
        `b` - the byte value to write
      Throws:
        `java.io.IOException` - if an I/O error occurs

    - #### close

          public void close()
                     throws java.io.IOException

      Closes the output stream.
      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Overrides:
        `close` in class `java.io.OutputStream`
      Throws:
        `java.io.IOException` - if an I/O error occurs

Generated on June 8 2013